package com.catarc.traceability.repository;

import java.util.List;

import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import com.catarc.traceability.entity.Authority;
import com.catarc.traceability.repository.base.BaseRepository;
import com.isoft91.web.base.repository.DynamicQueryRepository;

/**
 * 权限
 * @ProjectName:traceability
 * @ClassName:AuthorityRepository.java
 * @Description: 请务必自行补充代码核心描述
 * @Copyright: Copyright (c) 2017
 * @author: wangyao
 * @email: 842261834@qq.com 
 * @date 2017年8月29日 下午8:48:38
 * @version V1.0
 */
@Repository
public interface AuthorityRepository extends BaseRepository<Authority>,DynamicQueryRepository{

	@Select("SELECT ta.url,ta.IMG,ta.AUTHORITY_NAME as authorityName,tr.AUTHORITY_NAME as trAnName FROM T_AUTHORITY ta "+
			"INNER JOIN T_AUTHORITY tr on ta.PID = TR.T_PK_AUTHO_ID "+
			"where TA.T_PK_AUTHO_ID IN(select AUTHORITY_ID from T_ROLE_AUTHORIT "+
			"where T_PK_ROLE_ID =#{roleId}) ORDER BY TA.CREATE_TIME ")
	List<Authority> selectUserAuthority(String roleId);
}
