package com.catarc.traceability.repository;

import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import com.catarc.traceability.entity.Order;
import com.catarc.traceability.repository.base.BaseRepository;
import com.isoft91.web.base.repository.DynamicQueryRepository;

import java.util.List;

/**
 * 订单管理Repository
 * @ProjectName:traceability
 * @ClassName:OrderRepository.java
 * @Description: 请务必自行补充代码核心描述
 * @Copyright: Copyright (c) 2017
 * @author: wangyao
 * @email: 842261834@qq.com 
 * @date 2017年1月14日 下午2:09:39
 * @version V1.0
 */
@Repository
public interface OrderRepository extends BaseRepository<Order>,DynamicQueryRepository{


    @Select("SELECT  PK_T_ORDER_ONAME AS order_name FROM T_ORDER ")
    List<Order> selectPrimaryKey();
}