package com.catarc.traceability.service.base;

import com.isoft91.web.base.pager.PaginationEntity;
import org.springframework.dao.DataAccessException;

import java.util.List;
import java.util.Map;

public abstract class BaseAbstractService<T> {

    public abstract T insert(T var1) throws DataAccessException;

    public abstract T update(T var1) throws DataAccessException;

    public abstract T delete(T var1) throws DataAccessException;

    public abstract T getEntity(T var1) throws DataAccessException;

    public abstract List<T> getEntitiesByPrimaryKeys(String var1) throws DataAccessException;

    public abstract int deleteEntitiesByPrimaryKeys(String var1) throws DataAccessException;

    public abstract List<Map<String, Object>> queryDataNotPagination(Object... var1) throws DataAccessException;

    public abstract List<Map<String, Object>> queryDataWithGridUI_automatic(PaginationEntity var1, Object... var2) throws DataAccessException;

}
